{config, pkgs, lib, inputs, ...}:

{
  imports = [ ./config.nix ];
  programs.nixvim = {
    enable = true;
    plugins.nvim-tree.enable = true;
    plugins.treesitter.enable = true;
    plugins.lualine.enable = true;
    plugins.lsp.enable = true;
    plugins.luasnip.enable = true;
    plugins.toggleterm.enable = true;
    plugins.cmp.enable = true;
    plugins.gitsigns.enable = true;
    plugins.web-devicons.enable = true;
    plugins.which-key.enable = true;
    plugins.cmp-nvim-lsp.enable = true;
    plugins.bufferline.enable = true;
    plugins.noice.enable = true;
    plugins.mini-pairs.enable = true;
    plugins.ts-comments.enable = true;
    plugins.snacks.enable = true;
    plugins.mini-icons.enable = true;
    plugins.nui.enable = true;
    plugins.telescope.enable = true;
    plugins.indent-blankline.enable = true; 

  };  
}
